Introduction

Lorsque vous accédez à l'aide d'un utilitaire, la documentation est affichée dans la visionneuse Web utilisant un fichier d'aide local (.chm).

  • Accéder à l' aide .
  • Généralités sur les utilitaires.
  • Présentation de l'aide Custom Toolbar
  • Mentions légales .

Copyright © 2014 by Axemble. All Rights Reserved.


Accès à l'aide

Introduction ››

Bienvenue dans l’aide en ligne des utilitaires myCADtools

Depuis le répertoire d’installation des utilitaires, vous pouvez lancer l’aide en ligne (.chm, ou bien en cliquant sur l’icône [image] de l’utilitaire.

Conseils relatifs à l’utilisation de l’aide.

  • Pour sélectionner une rubrique :

Utilisez l’onglet sommaire et naviguez au travers des rubriques et des mots contenant un lien hypertexte.

  • Pour effectuer une recherche :

Cliquez sur l’onglet Rechercher, entrez un terme et cliquez sur Rechercher. Sélectionnez une rubrique et cliquez sur Afficher.

Créez des recherches booléennes à l'aide des opérateurs AND, OR, NOT et NEAR (ET, OU, SAUF et ADJ).

Sélectionnez Rechercher dans les résultats précédents afin d'utiliser uniquement les rubriques trouvées auparavant pour la recherche suivante. Cette option vous permet d'affiner votre recherche en ajoutant des mots-clés.

Sélectionnez Rechercher les mots similaires pour mettre en surbrillance les mots similaires dans les rubriques trouvées. Par exemple, si vous recherchez "pièces", vous trouverez des rubriques contenant "documents pièces" et "propriétés dans les pièces".

Sélectionnez Rechercher dans les titres uniquement pour ne trouver que les rubriques dont le titre inclut le mot-clé.

Restez connecté à la communauté Axemble

A tout moment vous pouvez vous connecter à la communauté myCADservices . Sur ce site vous trouverez une multitude d’informations techniques telles que :

    • Accès à une base documentaire contenant des tutoriaux, des FAQ, des présentations de fonctionnalités de la gamme SolidWorks etc… Cette documentation est alimentée par nos équipes techniques Axemble (Hotline, Formateurs, Consultants …).
    • Accès à une base de vidéos vous permettant d’approfondir vos connaissances sur des sujets de la gamme SolidWorks.
    • Accès à des bibliothèques de composants standard Axempble, TracePart et Cadenas.
    • Accès à des téléchargements gratuits afin d’installer les setups des utilitaires myCADtools .
    • Accès aux vidéos de formation sur les utilitaires myCADtools.
    • Accès au support Hotline (contrat de maintenance obligatoire).

Vous pouvez également suivre tous les articles et toutes les actualités pertinents sur SolidWorks et Axemble sur le site myCADblog .

Sur ce site vous trouverez un forum vous permettant de partager, avec d’autres utilisateurs, vos questions ou vos connaissances autour des utilitaires myCADtools.


Généralités des utilitaires

Introduction ››

Tous les utilitaires de la barre d'outils myCADtools présentent un bandeau identique comportant certaines informations.

Dans la partie gauche du bandeau nous retrouvons le nom de l'utilitaire suivi par le numéro de la version installée (exemple v2013.11.12).

2013→ Version de myCADtools 11→ Année du setup 12→ Mois du setup

Dans la partie droite nous avons accès à une barre d'icônes.

Possibilité de "punaiser" la fenêtre de l'utilitaire afin qu'elle ne soit pas minimisée par Windows.

Cet icône vous donne accès directement au cours afin de visualiser les vidéos de formation de l'utilitaire

Cet icône vous donne accès directement au site Axemble

Cet icône vous donne accès directement au site myCADservices

En cliquant sur cet icône vous accédez aux informations liées à l'utilitaire mais également à l'installation de l'ensemble des utilitaires du setup myCADtools.

Voici les informations disponibles dans cette fenêtre :

  • Un rappel de la version de l'utilitaire mais également la version du setup d'installation de la barre d'outils myCADtools.

  • Un rappel du code d'immatriculation ainsi que le numéro de licence SolidWorks à laquelle est rattaché ce code.

  • La date limite d'utilisation de l'utilitaire par exemple dans le cas d'une demande de prêt.

  • Le nom des utilitaires installés ainsi que, pour chacun d'entre eux, le nombre d'utilisations. Cette information peut être une bonne indication afin de connaître quels sont les utilitaires les plus souvent utilisés.

  • Une possibilité de remonter des demandes d'amélioration via votre messagerie. Un message est alors directement envoyé à notre service R&D. Vous n’avez plus que le contenu du message à rédiger.

Information pour l’exploitation des données d’un coffre fort ePDM avec certains outils myCADtools.

Les utilitaires de la suite myCADtools ne sont pas développés pour être utilisés dans un environnement PDM. Pour bénéficier de cette fonctionnalité, il faut impérativement avoir :

  • Installé SolidWorks Enterprise PDM

  • Installé la suite d’outils myPDMtools

  • Une licence d’immatriculation myPDMtools

Si vous n’êtes pas dans cette situation, un message apparaîtra lors de l’utilisation de certains utilitaires de myCADtools :


Mentions légales

Introduction ››

Copyright © 2014 myCAD

Avertissement: Cet outil a été réalisé par myCAD

Des portions de ce logiciel sont protégées par copyright et demeurent la propriété de :

- Copyright © 1995-2012 SolidWorks Corporation

- Copyright © 1998-2012 Geometric Software Solutions Co. Limited.

- Copyright © 1996-2012 Microsoft Corporation. Tous droits réservés.

Contrat de licence myCADtools.

AVIS À L'UTILISATEUR: VEUILLEZ LIRE ATTENTIVEMENT CE CONTRAT. EN UTILISANT TOUT OU PARTIE DES LOGICIELS myCADtools (CI-APRES LE "LOGICIEL"), VOUS ACCEPTEZ TOUTES LES DISPOSITIONS DU PRÉSENT CONTRAT.

Les Logiciels myCADtools sont :

- BatchConverter

- BatchProperties

- BeamCutOut

- CopyOptions

- CurveEquation

- CurveData

- CleanProject

- CloneComponents

- Cloud

- ColorChart

- CreatePoints

- CreateSections

- Dependencies

- DrawingTranslate

- DriveAssembly

- EasyPrint

- FaceFonts

- FontConverter

- GetCoordinates

- Integration

- LayerManager

- LocalHelp

- PilotAssembly

- PowerPrint

- ProjectManager

- ScaleDimension

- SearchPaths

- SelectMaterial

- SmartBalloons

- SmartBom

- SmartDrawings

- SmartProperties

- SmartWelding

- Tolerances

- TolerancesTable

- ToolBar myCAD

- UnitsConverter

- UnsewBody

- UpdateVersion

- VersionHistory

- Viewer

- ViewGrid

- WhereUsed

myCAD détient tous les droits de propriété intellectuelle liés au Logiciel.

1. Définitions. Le terme "Logiciel" désigne tout le contenu des fichiers, du (des) CD-ROM(s) ou de tout autre support fourni avec le présent Contrat, y compris, notamment, le (les) logiciel(s) ou données informatiques de myCAD ou de tiers, les fichiers ou documents écrits explicatifs associés correspondants (la "Documentation"), ainsi que toutes les mises à niveau, versions modifiées, mises à jour, ajouts et copies du Logiciel, s'il y a lieu, pour lesquels myCAD vous concède une licence (ci-après dénommées collectivement les "Mises à Jour"). Le terme "Utilisation" désigne l'accès au Logiciel, son installation, son téléchargement, sa copie ou tout autre avantage tiré de l'utilisation de ses fonctionnalités conformément à la Documentation.

2. Concession de Licence. Sous réserve du respect des dispositions du présent Contrat de Licence de Logiciel (le "Contrat"), myCAD vous concède une licence non exclusive d'Utilisation du Logiciel aux fins décrites dans la Documentation. Vous êtes autorisé à installer et à utiliser une copie du Logiciel, à concurrence du Nombre Autorisé d'utilisateurs.

3. Détention des droits de propriété intellectuelle et du copyright [Droit d'auteur]. Le Logiciel et toute copie autorisée que vous effectuez sont la propriété intellectuelle de myCAD et de ses fournisseurs. La structure, l'organisation et le code du Logiciel constituent des secrets commerciaux et des informations confidentielles de valeur de myCAD et de ses fournisseurs. Le Logiciel est protégé par la loi, sur le copyright [droit d'auteur], Sauf disposition expresse des présentes, le présent Contrat ne vous concède aucun droit de propriété intellectuelle sur le Logiciel, et myCAD et ses fournisseurs se réservent tous les droits qui ne sont pas expressément concédés.

4. Limitations. Vous n'êtes pas autorisé à copier le Logiciel sauf pour effectuer une copie de sauvegarde du logiciel. Vous n'êtes pas autorisé à modifier, adapter ou traduire le Logiciel. Vous n'effectuerez pas d'ingénierie inverse et vous n'êtes pas autorisé à décompiler, désassembler le Logiciel, essayer de toute autre façon de découvrir son code source, redevance raisonnable avant de vous fournir de telles informations. Vous ne pouvez pas louer ou donner en crédit bail, sous-licencier, céder ou transférer vos droits relatifs au Logiciel, ou autoriser la copie de tout ou partie du Logiciel.

5. Mises à Jour. Si le Logiciel est une Mise à Jour d'une version antérieure du Logiciel, vous devez détenir une licence en vigueur pour cette version antérieure pour pouvoir utiliser la Mise à Jour. Toutes les mises à jour sont fournies sur la base d’un contrat de mises à jour.

6. EXCLUSION DE GARANTIE. Le Logiciel est livré "EN L’ÉTAT" et myCAD ne consent aucune garantie relative à son Utilisation ou ses performances. myCAD ET SES FOURNISSEURS NE GARANTISSENT PAS ET NE PEUVENT PAS GARANTIR LES PERFORMANCES OU LES RÉSULTATS OBTENUS EN UTILISANT LE LOGICIEL.

7. LIMITATION DE RESPONSABILITÉ. EN AUCUN CAS myCAD OU SES FOURNISSEURS NE SERONT RESPONSABLES DE TOUS DOMMAGES, RÉCLAMATIONS OU COÛTS DE QUELQUE NATURE QUE CE SOIT, OU POUR TOUS DOMMAGES DIRECTS, INDIRECTS OU INCIDENTS, POUR TOUT MANQUE À GAGNER, ET CE MÊME SI UN REPRÉSENTANT de myCAD A ÉTÉ INFORMÉ DE LA POSSIBILITÉ DE TELS DOMMAGES, PERTES, RÉCLAMATIONS OU COÛTS, OU DE TOUTE RECLAMATION D’UN TIERS.

8. Loi applicable. Le présent Contrat est régi par loi française. En cas de litige, le tribunal de commerce de Lyon sera seul compétent.

9. Conformité aux licences. Si vous êtes une société ou une organisation, vous vous engagez à prouver et certifier, dans un délai de trente (30) jours, à la demande de myCAD ou d'un de ses représentants autorisés, qu'à la date de ladite demande, l’Utilisation des Logiciels est conforme aux licences en vigueur concédées par myCAD.

Pour toute demande d'information, veuillez vous adresser au Service Clientèle de myCAD.


Présentation de l'aide "CustomToolbar"

Introduction ››

Les outils et les utilitaires de la suite myCADtools sont accessibles depuis des barres d'outils. Vous pouvez totalement personnaliser ces barres d'outils voir même utiliser l'affichage "Tête haute" de SolidWorks au même titre que "Esquisse", "Tôlerie" etc ...

Les outils peuvent être actifs selon l'environnement SolidWorks dans lequel on se trouve. Par exemple :

  • l'outil "SelectMaterial" ne sera actif que dans l'environnement Pièce.
  • l'outil "DrawingTranslate" ne sera actif que dans l'environnement Mise en Plan.
  • l'outil "Integration" sera actif dans tous les environnements (Pièce, Assemblage, Mise en Plan) et même sans document ouvert.
  • etc ...

Nous allons décrire dans cette aide toutes les possibilités d'utilisation et de personnalisation de ces barres d'outils.


Sommaire

A partir du moment où le setup myCADtools a été installé et que les compléments ont été activés vous pouvez accéder aux placements des barres d'outils myCADtools.

  • Utilisation de l'affichage " Tête haute " de SolidWorks.
  • Utilisation de la barre d'outils " myCADtools "
  • Utilisation de la barre d'outils " myCADtools Utilities "
  • Utilisation de la barre d'outils " CustomToolbar "


Affichage "Tête haute" de SolidWorks

Sommaire ››

En faisant un clic droit dans les onglets de l'affichage "Tête haute" vous pouvez cocher l'entité "myCADtool 201x".

Vous pouvez personnaliser cette barre d'outils en choisissant "Personnaliser le Gestionnaire de commande" afin d'ajouter ou enlever des outils. Cela permet de ne laisser visibles que les outils les plus utilisés.

Pour cela activer l'onglet "Commandes" du gestionnaire, puis sélectionner la catégorie "myCADtools 201x" et/ou "myCADtools 201x utilities" et faire glisser/déposer un bouton dans la barre d'outils afin d'ajouter un outil, ou prendre un outil depuis la barre d'outils et le déposer dans la fenêtre graphique 3D afin d'enlever un outil. C'est la même manipulation que pour la personnalisation des barres d'outils des commandes SolidWorks.


Barre d'outils "myCADtools"

Sommaire ››

La barre d'outils "myCADtools" regroupe une sélection d'utilitaires les plus utilisés. Elle est activée en faisant un clic droit sur le bandeau supérieur des menus SolidWorks.

Vous pouvez personnaliser cette barre d'outils en choisissant "Personnaliser" afin d'ajouter ou enlever des outils. Cela permet de ne laisser visibles que les outils les plus utilisés.

Pour cela activer l'onglet "Commandes" du gestionnaire, puis sélectionner la catégorie "myCADtools 201x" et/ou "myCADtools 201x utilities" et faire glisser/déposer un bouton dans la barre d'outils afin d'ajouter un outil, ou prendre un outil depuis la barre d'outils et le déposer dans la fenêtre graphique 3D afin d'enlever un outil. Toute fonction SolidWorks est éligible à cette barre. C'est la même manipulation que pour la personnalisation des barres d'outils des commandes SolidWorks.


Barre d'outils "myCADtools Utilities"

Sommaire ››

La barre d'outils "myCADtools utilities" regroupe une sélection d'utilitaires et de macro-fonctions les plus utilisés. Elle est complémentaire à la barre d'outils "myCADtools".

Elle est activée en faisant un clic droit sur le bandeau supérieur des menus SolidWorks.

Vous pouvez personnaliser cette barre d'outils en choisissant "Personnaliser" afin d'ajouter ou enlever des outils. Cela permet de ne laisser visibles que les outils les plus utilisés.

Pour cela activer l'onglet "Commandes" du gestionnaire, puis sélectionner la catégorie "myCADtools 201x" et/ou "myCADtools 201x utilities" et faire glisser/déposer un bouton dans la barre d'outils afin d'ajouter un outil, ou prendre un outil depuis la barre d'outils et le déposer dans la fenêtre graphique 3D afin d'enlever un outil. Toute fonction SolidWorks est éligible à cette barre. C'est la même manipulation que pour la personnalisation des barres d'outils des commandes SolidWorks.


Barre d'outils "CustomToolbar"

Sommaire ››

Cette barre d'outils est totalement personnalisable en cliquant sur l'icône [image] . Dans cette barre d'outils vous pouvez placer toutes sortes de fonctions : des application (.exe), des accès à des documents (Excel, Word, PDF, des images ou du texte), des liens sur des sites internet etc ...

A la différence des autres barres d'outils myCADtools, les fonctions SolidWorks ne peuvent pas être ajoutées à cette liste.

Ces outils, ainsi insérés dans la liste, peuvent être activés ou non en fonction d'un environnement (Visibilité).

Certains événements peuvent être activés au lancement de SolidWorks et déclenchés dans un contexte particulier (Activation avec événements).

  • Liste des outils
  • Définition d'un outil
  • Aperçu de la barre d'outils
  • Options


Liste des outils

Sommaire ›› Barre d'outils "CustomToolbar" ››

Pour personnaliser cette barre il faut ajouter les outils dans la liste. Les types d'outils sont différenciés par un icône spécial.

  • cet icône indique un outil de type "Application".
  • cet icône indique un outil de type "Macro".
  • cet icône indique un outil de type "Document".
  • cet icône indique un outil de type "Site Web".
  • cet icône indique un outil de type "Séparateur".

Une fois l'outil ajouté à la liste il peut être activé ou non en cochant [image] ou décochant [image] le bouton.

L'ordre des outils peut être modifié en utilisant les flèches monter [image] et descendre [image] .

Après avoir sélectionné un outil il peut être supprimé en appuyant sur le bouton [image] .


Définition d'un outil

Sommaire ›› Barre d'outils "CustomToolbar" ››

Utiliser le bouton [image] pour ajouter un outil à la liste.

Ensuite régler les options de l'outil.

Choisir le type d'outil :

Le type Application permet de lancer n'importe quel exécutable issu de myCADtools ou d'une autre application (Excel, Word etc...).

Le type Macro permet de lancer une macro fonction particulière.

Le type Document permet d'ouvrir un document quelconque Excel, Word, PDF ou une image (jpg, png ...).

Le type Site Web permet d'accéder directement à une page Web.

Le type Séparateur permet d'insérer un espace entre les icônes des outils de la barre.

Pour tous les types (excepté le type Séparateur) on spécifie un nom pour l'outil ainsi que le choix d'un icône (la plupart des formats d'images sont supportés). L'icône doit être suffisamment réduit pour ne pas prendre trop de place, de l'ordre de 24 pixels par exemple.

Renseignement optionnel.

Ensuite pour les 3 premiers types il faudra sélectionner l'exécutable, la macro ou le document à charger.

Ce champs est également utilisé afin de spécifier l'adresse pour la connexion Web.

En cochant cette option l'outil sera lancé à chaque démarrage de SolidWorks. Par exemple : se connecter à un site internet ou lancer une macro ouvrant un nouveau document pièce avec lancement de l'utilitaire SmartProperties.

Lorsque l'option "Activer les événements" est cochée dans les options il est possible d'associer ou de déclencher l'outil en fonction d'un événement.

Par exemple ici l'outil sera lancé à chaque nouveau fichier SolidWorks. Plusieurs événements peuvent être sélectionnés.

Une fois les outils présents dans la liste, ils se différencient par un icône spécifique :

  • cet icône indique un outil de type "Application".
  • cet icône indique un outil de type "Macro".
  • cet icône indique un outil de type "Document".
  • cet icône indique un outil de type "Site Web".
  • cet icône indique un outil de type "Séparateur".


Aperçu de la barre d'outils

Sommaire ›› Barre d'outils "CustomToolbar" ››

A chaque ajout d'un outil dans la liste il est possible de demander l'aperçu de la barre d'outils. Deux affichages sont proposés :

  • Grands icônes.
  • Petits icônes.

Si cet aperçu ne convient pas il est toujours possible de réorganiser la liste .


Options

Sommaire ›› Barre d'outils "CustomToolbar" ››

Quelques options peuvent être réglées concernant l'affichage des outils et de la barre "CustomToolbar".

  • Barre d'outils :

Le fait de cocher [image] "Voir la barre d'outils" permet d'activer la barre d'outils. C'est équivalent à la fonctionnalité disponible par un clic droit sur le bandeau supérieur de SolidWorks.

  • Menu déroulant :

"CustomToolbar" est disponible également en tant que "Menu déroulant" sa position peut être spécifiée. Si l'on souhaite avoir le menu déroulant "CustomToolbar" en première position il faut choisir la position "0". Les icônes sont toujours visibles, la coche ne peut être modifiée.

  • Général :

Dans la zone "Général" l'option "Activer les événements" est décochée [image] par défaut. Cette option est réservée pour une utilisation avancée de la personnalisation des lancements des outils par la barre d'outils "CustomToolbar". (Voir Définition d'un outil ).